When starting Webmin, miniserv.error shows Perl module Authen::PAM needed for PAM is not installed : Can’t locate Authen/PAM.pm in @INC…

You’re busy troubleshooting Webmin, e.g., it stopped again out of the blue.

You tail -f miniserv.error and you notice an error. Probably unrelated but you’re keen to rid the system of all errors so that you can focus on the problem.

I’ll just give you the solution to save you time:

yum install pam-devel
yum install perl-Authen-PAM

A full output of what went down is here:

tail -f /var/webmin/miniserv.error

[01/Mar/2019:09:09:12 +0000] Perl module Authen::PAM needed for PAM is not installed : Can't locate Authen/PAM.pm in @INC (@INC contains: /usr/libexec/webmin /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at (eval 18) line 1.
BEGIN failed--compilation aborted at (eval 18) line 1.

Post fixing the problem you’ll have this beauty appear:

[01/Mar/2019:09:09:57 +0000] PAM authentication enabled

Reference:
https://www.virtualmin.com/node/5691

Share this article

1 thought on “When starting Webmin, miniserv.error shows Perl module Authen::PAM needed for PAM is not installed : Can’t locate Authen/PAM.pm in @INC…”

Leave a Reply

Your email address will not be published.

Scroll to Top